Google Apps Ending Support for Older Browsers

Friday Jun 3rd 2011 by Datamation.com Staff
Share:

If you use Gmail, Google Docs, Google Talk, or Google Calendar, you should upgrade to at least Firefox 4, Internet Explorer 8 or Safari 4.

TGDaily: Beginning August 1, Google will drop support for Web browsers below below Firefox 4, Internet Explorer 8, and Safari 4. Google Apps and Google sites, including Google Docs, Google Talk, Google Calendar and Gmail may no longer work properly in earlier browsers after that date because Google will be expanding its support for HTML5 features.

"For Web applications to spring even farther ahead of traditional software, our teams need to make use of new capabilities available in modern browsers," said Google's Venkat Panchapakesan.

Share:
Home
Mobile Site | Full Site
Copyright 2017 © QuinStreet Inc. All Rights Reserved